Debian Bug report logs - #634158
unable to create mkfs on a zvol

version graph

Package: ufsutils; Maintainer for ufsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for ufsutils is src:ufsutils.

Reported by: Robert Millan <rmh@debian.org>

Date: Sun, 17 Jul 2011 11:03:02 UTC

Severity: normal

Found in version ufsutils/8.2-1

Fixed in version ufsutils/8.2-2

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#634158; Package ufsutils. (Sun, 17 Jul 2011 11:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 17 Jul 2011 11:03:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unable to create mkfs on a zvol
Date: Sun, 17 Jul 2011 12:59:07 +0200
Package: ufsutils
Version: 8.2-1
Severity: normal

rmh@dimoni:~$ sudo zfs create -V 4g dimoni-ad0s1/ufs
rmh@dimoni:~$ sudo mkfs.ufs /dev/zvol/dimoni-ad0s1/ufs 
mkfs.ufs: /dev/zvol/dimoni-ad0s1/ufs: could not find special device

The zvol is otherwise usable (for swap or other filesystems).  This might be
related to this warning in mke2fs:

rmh@dimoni:~$ sudo mke2fs /dev/zvol/dimoni-ad0s1/ufs
mke2fs 1.42-WIP (02-Jul-2011)
warning: Unable to get device geometry for /dev/zvol/dimoni-ad0s1/ufs
[...]

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.2-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ufsutils depends on:
ii  libbsd0                  0.3.0-1         utility functions from BSD systems
ii  libc0.1                  2.13-10         Embedded GNU C Library: Shared lib
ii  libedit2                 2.11-20080614-2 BSD editline and history libraries

ufsutils recommends no packages.

ufsutils suggests no packages.

-- no debconf information




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 23 Jul 2011 17:51:08 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Sat, 23 Jul 2011 17:51:08 GMT) Full text and rfc822 format available.

Message #10 received at 634158-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 634158-close@bugs.debian.org
Subject: Bug#634158: fixed in ufsutils 8.2-2
Date: Sat, 23 Jul 2011 17:49:17 +0000
Source: ufsutils
Source-Version: 8.2-2

We believe that the bug you reported is fixed in the latest version of
ufsutils, which is due to be installed in the Debian FTP archive:

ufsutils_8.2-2.debian.tar.gz
  to main/u/ufsutils/ufsutils_8.2-2.debian.tar.gz
ufsutils_8.2-2.dsc
  to main/u/ufsutils/ufsutils_8.2-2.dsc
ufsutils_8.2-2_amd64.deb
  to main/u/ufsutils/ufsutils_8.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 634158@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated ufsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Jul 2011 19:28:17 +0200
Source: ufsutils
Binary: ufsutils ufsutils-udeb
Architecture: source amd64
Version: 8.2-2
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 ufsutils   - UFS filesystems utilities
 ufsutils-udeb - stripped-down versions of ufsutils, for debian-installer (udeb)
Closes: 526586 632564 634158
Changes: 
 ufsutils (8.2-2) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * Fix 01_libufs.patch to correctly character or block devices.  Closes:
     #526586, #634158.
   * Fix 02_fsdb.ufs.patch to make ufsutils buildable with --as-needed.
     Closes: #632564.
Checksums-Sha1: 
 bfd0b4b3f04a7373e17d2c17ba3328e3024e70d3 1285 ufsutils_8.2-2.dsc
 7048c6d0a2bc6335fdc854e77b65eac11fa8e739 21020 ufsutils_8.2-2.debian.tar.gz
 460175dd9cac2087dde3e46cc5d85fd408ad4f2a 158954 ufsutils_8.2-2_amd64.deb
Checksums-Sha256: 
 0583c6981181f891809a8981691887d187980b587c2ab4fc6215da2f8e029208 1285 ufsutils_8.2-2.dsc
 d138cb5f550403e7aa2cf812e6b870af08a11f6575e2b46b6787807075f2b920 21020 ufsutils_8.2-2.debian.tar.gz
 f3b823a2f5582e117bda58f220c7d58e6869eaf375c7905639414d743e72e51f 158954 ufsutils_8.2-2_amd64.deb
Files: 
 10376606246f484f2f20227e98867af9 1285 utils optional ufsutils_8.2-2.dsc
 73e118f5b6903ff0009acc8969b54802 21020 utils optional ufsutils_8.2-2.debian.tar.gz
 d167f69e9f6c09e0baef7f73a2aed476 158954 utils optional ufsutils_8.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOKwWGw3ao2vG823MRAkyIAJ4hPFfLYxen/w2hnVpzqHAnJx5UyQCdFonv
2B90f7tmHSEn+Ej+oQklQYE=
=yuni
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Aug 2011 07:35:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:32:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.